import type { StackLocationBlock } from './stack';
export interface RenderOptions {
    indent?: string;
    showSource?: boolean;
    showStack?: boolean;
    filter?: (path: string) => boolean;
}
export declare function renderError(error: Error, options?: RenderOptions): string;
export declare function renderLocation(block: StackLocationBlock, options: {
    indent: string;
    showSource: boolean;
}): string;
